Intel® Distribution of OpenVINO™ Toolkit
Community support and discussions about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all things computer vision-related on Intel® platforms.
6108 Discussions

Cannot download latest 26.20 graphics driver as recommended by OpenVino

eddie_patton
Novice
227 Views

Hi

I just thought I'd let you know about this download issue.

I am building the OpenVino inference engine for Windows as per 

https://github.com/openvinotoolkit/openvino/wiki/BuildingForWindows

In the above link they recommend using the 26.20 graphics driver (there are newer, but I'm sticking with what the instructions say to do).

When I select the 26.20.100.8141 driver (the latest 26.20) on the following website

https://www.intel.com/content/www/us/en/download/19344/29465/intel-graphics-windows-dch-drivers.html

It leads me to a page where the download link doesn't work. Unlike all other driver version pages, the download box does nothing (it's also brown colored and not blue like the others)

Can I use the latest graphics driver for OpenVino?  (like 30.0.x.x series)

Cheers
Eddie

eddie_patton_0-1651681454868.png

 

0 Kudos
1 Solution
Peh_Intel
Moderator
198 Views

Hi Eddie,

 

Thanks for reaching out to us.

 

First of all, we are sorry for the inconvenience. The download link works now. Please have a try again.

 

Yes, you can use the latest Intel® Graphics Driver version as long as the driver version is compatible with your GPU. You can have a check at the Device Manager. For Windows, the device driver always automatically updates to the latest compatible version.

 

For your information, I am using Intel® Graphics Driver version 30.0.101.1340 on my side.

GPU driver version.JPG

 

 

Regards,

Peh

 

View solution in original post

3 Replies
eddie_patton
Novice
214 Views

There' s more confusing information on the website page

https://github.com/openvinotoolkit/openvino/wiki/BuildingForWindows

The windows build steps say you  needed 26.20

 

  1. By default, the build enables the Inference Engine GPU plugin to infer models on your Intel® Processor Graphics. This requires you to download and install the Intel® Graphics Driver for Windows (26.20) driver package before running the build. If you don't want to use the GPU plugin, use the -DENABLE_INTEL_GPU=OFF CMake build option and skip the installation of the Intel® Graphics Driver.

 

but the "Software Requirements" say 30.0 is "Optional"

Software Requirements

  • CMake* 3.14 or higher
  • Microsoft* Visual Studio 2019, version 16.8 or later
  • (Optional) Intel® Graphics Driver for Windows* (30.0) driver package.
  • Python 3.6 or higher for OpenVINO Runtime Python API
  • Git for Windows*

So what is it? 26.20 or 30.0?

Peh_Intel
Moderator
199 Views

Hi Eddie,

 

Thanks for reaching out to us.

 

First of all, we are sorry for the inconvenience. The download link works now. Please have a try again.

 

Yes, you can use the latest Intel® Graphics Driver version as long as the driver version is compatible with your GPU. You can have a check at the Device Manager. For Windows, the device driver always automatically updates to the latest compatible version.

 

For your information, I am using Intel® Graphics Driver version 30.0.101.1340 on my side.

GPU driver version.JPG

 

 

Regards,

Peh

 

Peh_Intel
Moderator
163 Views

Hi Eddie,


This thread will no longer be monitored since this issue has been resolved. If you need any additional information from Intel, please submit a new question. 



Regards,

Peh


Reply